Rank market makers by target uptime
curl --request GET \
--url https://api.glassmarkets.io/v2/organizations/market-maker-metrics/uptime/rankings/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.glassmarkets.io/v2/organizations/market-maker-metrics/uptime/rankings/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.glassmarkets.io/v2/organizations/market-maker-metrics/uptime/rankings/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"time_start": "2023-11-07T05:31:56Z",
"time_end": "2023-11-07T05:31:56Z",
"methodology": {
"target_window_hours": 123,
"target_hit_ratio": 123,
"depth_bps": 123,
"missing_liquidity": "<string>",
"volume_weight": 123,
"depth_weight": 123
},
"rankings": [
{
"rank": 123,
"organization": {
"slug": "<string>",
"name": "<string>"
},
"score": 123,
"hit_target_count": 123,
"target_count": 123,
"total_volume": 123,
"total_depth": 123,
"weighting": {},
"assets": [
{
"asset": "<string>",
"score": 123,
"hit_target_count": 123,
"target_count": 123,
"volume": 123,
"depth": 123,
"volume_share": 123,
"depth_share": 123,
"weight": 123
}
]
}
]
}Market maker metrics
Rank market makers by target uptime
Ranks market makers by how many of their active depth and spread targets they hit, weighting each asset by the market maker’s volume and depth at 100 bps. The window must be a completed 24 hours on whole hours. methodology describes the weighting.
Rank market makers by target uptime
curl --request GET \
--url https://api.glassmarkets.io/v2/organizations/market-maker-metrics/uptime/rankings/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.glassmarkets.io/v2/organizations/market-maker-metrics/uptime/rankings/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.glassmarkets.io/v2/organizations/market-maker-metrics/uptime/rankings/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"time_start": "2023-11-07T05:31:56Z",
"time_end": "2023-11-07T05:31:56Z",
"methodology": {
"target_window_hours": 123,
"target_hit_ratio": 123,
"depth_bps": 123,
"missing_liquidity": "<string>",
"volume_weight": 123,
"depth_weight": 123
},
"rankings": [
{
"rank": 123,
"organization": {
"slug": "<string>",
"name": "<string>"
},
"score": 123,
"hit_target_count": 123,
"target_count": 123,
"total_volume": 123,
"total_depth": 123,
"weighting": {},
"assets": [
{
"asset": "<string>",
"score": 123,
"hit_target_count": 123,
"target_count": 123,
"volume": 123,
"depth": 123,
"volume_share": 123,
"depth_share": 123,
"weight": 123
}
]
}
]
}Authorizations
Token-based authentication with required prefix "Token ". Example: "Token 9944b09199c62bcf9418ad846dd0e4bbdfc6ee4b"
Query Parameters
Comma seperated list of assets <asset>,<asset>.Defaults to all assets the user has access to if not provided.
Maximum array length:
10030-minutes- 30-minutes1-hour- 1-hour3-hours- 3-hours6-hours- 6-hours12-hours- 12-hours1-day- 1-day7-days- 7-days1-month- 1-month3-months- 3-months6-months- 6-months1-year- 1-year
Available options:
30-minutes, 1-hour, 3-hours, 6-hours, 12-hours, 1-day, 7-days, 1-month, 3-months, 6-months, 1-year Minimum string length:
1Comma seperated list of organization slugs <slug>,<slug>.Defaults to all organizations the user is member of, if not provided.Available organizations are returned in the /v1/organizations endpoint.
Maximum array length:
100
